# Facebook Toolkit for Alfred

<img src="./assets/icon-facebook.png" alt="Facebook logo" width="128" height="128">

The Facebook Toolkit for Alfred makes it easy to quickly access Facebook's web features, including messaging, faceted search, and more using the `fb` keyword.

<img src="./assets/preview.png" alt="Preview of Facebook Toolkit">

This toolkit provides convenient shortcuts your own content (using the `my` keyword):

<img src="./assets/preview-my.png" alt="Preview of my keyword in Facebook Toolkit">

You can also create new stories, marketplace listings, pages, groups, ads, events, and fundraisers with the `new` keyword:

<img src="./assets/preview-new.png" alt="Preview of new keyword in Facebook Toolkit">

This workflow does not support programmatic access to Facebook, like posting photos directly or sending DMs.

# Installation

<a href="https://github.com/chrismessina/alfred-facebook-toolkit/releases/latest"><img src="./assets/icon-workflow.png" alt="Workflow File Icon" width="128" height="128"></a>

1. Download the [latest release here](https://github.com/chrismessina/alfred-facebook-toolkit/releases/latest).
2. Double-click the `.alfredworkflow` to install it.

_You will need to be an [Alfred Powerpack](https://www.alfredapp.com/powerpack/) user to enable this workflow._


# Configuration

Once the workflow is installed, launch **Alfred Preferences**, choose **Workflows** and then select **Facebook Toolkit**.

<span style="color:red;">➊</span> Access the **Workflow Environment Variables** in the top right of the window:

<img src="./assets/workflow-config.png" alt="How to access the Alfred Workflow Environment Variables">


## Set your username

This workflow makes it easy to access your own profile and different content types.

<span style="color:red;">➋</span> To configure this feature, you must set the `account` variable in the configuration to *your own username*.

# Changelog[¹](https://keepachangelog.com/)

## [v0.1.0] - 2021-05-10
- Initial Release


# About

This workflow is unaffiliated with nor endorsed by Facebook, Inc.

You can [file bugs](https://github.com/chrismessina/alfred-facebook-toolkit/issues/new) or [submit feature requests](https://github.com/chrismessina/alfred-facebook-toolkit/issues/new).
